Page 2 of 2 FirstFirst 12
Results 11 to 20 of 20

Thread: Installing Lich

  1. #11

    Default

    Reinstalled, still unable to link in Lich -- it looks like its entered the registry stuff correctly as well. I've also temp disabled AV just to make sure that was not it.

    Code:
    RegDB Key: SOFTWARE\Simutronics\Launcher
    RegDB Val: C:\SGE
    RegDB Name: Directory
    RegDB Root: 2
    RegDB Old: C:\SGE
    RegDB Key: .sal
    RegDB Val: Simutronics.Autolaunch
    RegDB Old: Simutronics.Autolaunch
    RegDB Key: .sal
    RegDB Val: application/x-simutronics-auto-launch
    RegDB Name: Content Type
    RegDB Old: application/x-simutronics-auto-launch
    RegDB Key: Simutronics.Autolaunch
    RegDB Val: Simutronics.Autolaunch
    RegDB Old: Simutronics.Autolaunch
    RegDB Key: Simutronics.Autolaunch\Shell\Open
    RegDB Val: Open_with_Autolauncher
    RegDB Old: Open_with_Autolauncher
    RegDB Key: Simutronics.Autolaunch\Shell\Open\command
    RegDB Val: "C:\SGE\Launcher.exe" %1
    RegDB Old: "C:\SGE\Launcher.exe" %1
    RegDB Key: Simutronics.Autolaunch
    RegDB Val: 00 00 01 00
    RegDB Name: EditFlags
    RegDB Type: 4
    RegDB Old: 00000100
    RegDB Key: MIME\Database\Content Type\application/x-simutronics-auto-launch
    RegDB Val: .sal
    RegDB Name: Extension
    RegDB Old: .sal
    RegDB Key: Simutronics.Autolaunch\Shell\Open
    RegDB Val: 01,00,00,00
    RegDB Name: EditFlags
    RegDB Type: 4
    RegDB Old: 01000000

  2. Default

    Hm.. well check to see if Lich gives the same error message in the debug file.

    While it may appear that the correct values are in the registry, the registry isn't so simple that it either has or doesn't have the correct value. It can do both at the same time, depending on who is asking for the value and how. It's annoying like that.
    Get Lich - Vote for Gemstone (topmudsites.com)

  3. Default

    I am getting a error after my initial installation of lich and ruby and the other two installs.

    error: Launch method 1 timed out waiting for client to connect
    Would you like to try method 2?

    Anyone know what I need to do to correct this?

  4. #14

    Default

    Quote Originally Posted by Tillmen View Post
    Hm.. well check to see if Lich gives the same error message in the debug file.

    While it may appear that the correct values are in the registry, the registry isn't so simple that it either has or doesn't have the correct value. It can do both at the same time, depending on who is asking for the value and how. It's annoying like that.
    Same deal, lich cant find the simu launcher its very odd. I've manually checked the reg and it appears to point to the right spot as well.


    Code:
    2015-09-26 12:01:13: info: Lich 4.6.22
    2015-09-26 12:01:13: info: Ruby 2.0.0
    2015-09-26 12:01:13: info: x64-mingw32
    2015-09-26 12:01:14: info: no force-mode info given
    2015-09-26 12:01:18: error: failed to find the Simutronics launcher

    Is there anywhere I can manually edit the Lich.rbw to point it appropriately at the launcher till I can figure out a solution?
    Last edited by Tenzle; 09-26-2015 at 12:05 PM.

  5. Default

    Tillmen,

    Installing on windows 8. All fresh installs.
    Using Ruby 2.0.0. 32 bit system. All done as administrator.
    Lich requesting sblite3 file. Opened command prompt as admin as well.
    Entered: C:\Windows\system32>c:\ruby200\bin\gem.bat install sqlite3 --source http://rubyg
    ems.org --no-ri --no-rdoc

    Response: Fetching: sqlite3-1.4.0.gem (100%)
    ERROR: Error installing sqlite3:
    The 'sqlite3' native gem requires installed build tools.

    Please update your PATH to include build tools or download the DevKit
    from 'http://rubyinstaller.org/downloads' and follow the instructions
    at 'http://github.com/oneclick/rubyinstaller/wiki/Development-Kit'

    Thanks!

  6. #16

    Default

    Try using the windows 10 installer with an older version of Lich. Worked for me

  7. #17

    Default

    Microsoft Windows [Version 6.1.7600]
    Copyright (c) 2009 Microsoft Corporation. All rights reserved.

    C:\Windows\system32>c:\ruby200\bin\gem.bat install gtk2 --source http://rubygems
    .org --no-ri --no-rdoc
    Fetching: pkg-config-1.3.7.gem (100%)
    Successfully installed pkg-config-1.3.7
    Fetching: native-package-installer-1.0.7.gem (100%)
    Successfully installed native-package-installer-1.0.7
    Fetching: glib2-3.3.6.gem (100%)
    ERROR: Error installing gtk2:
    The 'glib2' native gem requires installed build tools.

    Please update your PATH to include build tools or download the DevKit
    from 'http://rubyinstaller.org/downloads' and follow the instructions
    at 'http://github.com/oneclick/rubyinstaller/wiki/Development-Kit'

    C:\Windows\system32>




    tryin to install on my sons laptop running windows 7 hang up at the spot. installed ruby 2.0 page 654
    Last edited by Eddge; 05-03-2019 at 10:15 PM.


  8. #19

    Default

    thanks for the link but its and old alienware he is running windows 7

  9. Default

    Quote Originally Posted by Eddge View Post
    thanks for the link but its and old alienware he is running windows 7
    Should still work - has on a couple other Win7 systems.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •